R0B0TZ


music, art, parties, technology, code and sometimes fashion
Thursday, 12th March, 2009 ...under Uncategorized | feedback

The process is fairly simple, download this package and extract the folder inside the archive… open said folder and browse to “ASUS_BlackHawk_v41\ASUS Driver\amd64\Vista”, even if you aren’t running Vista, this will work (at least on XP x64)… open the ADIHdAud.inf file in notepad or your favourite text editor and locate line 79:

%HdAudioFunctionDriver.ADICodec.DeviceDesc% = A1988P,   HDAUDIO\FUNC_01&VEN_11D4&DEV_198B&SUBSYS_1043829B

Now, replace that line with these two lines, basically commenting out the first one while placing a modified version (bold) of the first line in place of it:

;%HdAudioFunctionDriver.ADICodec.DeviceDesc% = A1988P,   HDAUDIO\FUNC_01&VEN_11D4&DEV_198B&SUBSYS_1043829B
%HdAudioFunctionDriver.ADICodec.DeviceDesc% = A1988P,   HDAUDIO\FUNC_01&VEN_11D4&DEV_198B&SUBSYS_104381F2

You are simply letting Windows know that your device’s subsystem is compatible…

At this point you should be able to load up device manager, find your Soundmax audio device, right click, update driver, install from specific location, next, choose search in specific locations, uncheck the first box, check the second box, specify the location of the file you just edited and click next.

Voila.

It’s working perfect for me, but do this at your own risk — if your head explodes, it’s not my fault.

Monday, 9th March, 2009 ...under Music | feedback

Tony! Toni! Tone! - Feels Good (The Revival)

Amon Tobin - One Small Step (Bricolage)

Radiohead - House Of Cards (In Rainbows)

Thursday, 5th March, 2009 ...under Music | feedback

I found this band some time ago, and it keeps finding it’s way into my daily drive playlist.

Kind of like an instrumental Incubus with electronic influence.

Check them out.

Friday, 27th February, 2009 ...under Music | feedback

I love stuff like “Magic Apple Loop”, “Pink Forest” and “Monophonic City” .. not completely fond of the other stuff in this album.

A-bee - POLYPHONIC CITY
Style: Electro / House
Date: 2009
Quality: 192 kbps / 44,1kHz / joint-stereo
Size: 90.90 MB

Tracklist:

1. ON.set OFF
2. AIR feat.ellie
3. TO THE UNIVERSE feat.Kaori
4. U feat.Kaori
5. pink forest
6. the other side of the world feat.ellie
7. Star Surfer(A-bee remix)
8. MAGIC APPLE LOOP
9. calling feat.Kaori
10. GAME
11. LOUDER feat.ellie
12. monophonic city
13. EDEN (sea of clouds remix) feat.Kaori

rapidshare.com
http://uploaded.to/file/aidbu5/
megaupload.com

Saturday, 25th October, 2008 ...under Uncategorized | feedback

Friday, 24th October, 2008 ...under Uncategorized | feedback
nicely arranged, chilled out jams that bring to mind saturday evening pre-party hang sessions. definitely a sweet pick for in-office, driving or just chilling out with a bunch of friends. primo, totally rad. two thumbs way up from me.

track listing / link after the break

Read more

Wednesday, 17th September, 2008 ...under Uncategorized | feedback

dear:

mikie! tara! ryan! kendra! jd! emily! dave! ashley! margherite! simone! adrienne!

fuck. i met a lot of people. i know there was more.

word, bitches!

sunday night i was beat and i didn’t get to tell a lot of you bye, and how much i fun i had with you all!

i am really going to miss all of you, and really look forward to the next time we can all get together and do what we do best, DRINK BOOZE AND DANCE.

mad love! <3

Tuesday, 16th September, 2008 ...under Events | Mixsets | Music | feedback

So, obviously, I am still alive after my short span in Brooklyn / NY.  I went up with mixed expectations, not having ever attended a similar event there I really wasn’t sure what to expect.

Basically, here is what happened:

We stood in line on Friday for close to two hours, only to leave before getting in due to capacity limitations. Saturday we got to the event later than expected, but that’s ok because almost nothing was set up, and the stages were not functional at all. Luckily our group had an RV and we were all able to sit around and wait until the music started pumping from the main stage. The secondary stage was up and ready for another couple hours, and the crowd very slowly grew into a mass. We ended up not even attempting to go to the night events after the fiasco on Friday, and from what we all heard, it was in our best interest as they each were shut down or moved to shitty venues.  Sunday was better as everything was set up from the previous day, and though the crowd was slow to gather, it eventually happened and we all had a lot of fun.

Negatives out of the way, there were some things that really stood out to me and made me feel as if the event’s problems were somewhat of a shitty string of events and not neccesarily bad planning.  First of all, they tried to get different venues for the night events.  Most production companies here probably would have given up.  Second the sound was pristine for the day events, and I think I even heard a speaker blow but the next time I walked by it was fixed! That almost NEVER happens, not even at the biggest parties I have attended. I really don’t have any complaints about the party, I got my presale $40 value worth on Saturday.

The best part for me was just being there with a bunch of awesome people, in awesome weather, having an awesome time.

Oh and the awesome mixsets, which I will soon be uploading have uploaded a torrent of (from the dailysessions mp3s) — seeing as how some have been removed from other sites, I figure this is the best way to keep them alive.

Wednesday, 20th August, 2008 ...under C++ | Linux | Programming | 2 Comments

altermime is a postfix filter that allows you to alter MIME encoded content in outgoing and incoming messages.  we wanted to append a disclaimer to the bottom of all outgoing emails from our server automatically, without having to rely on each individual manually adding this to their outlook signature or using a template.

the problem was that altermime (0.3.8) was appending “soft breaks” or “= ” (equal sign and a space)  after every 76 characters inside the disclaimer in every multipart email that outlook would send out.

the source file qpe.c from the package here was the culprit, and though it was doing it’s job correctly, it wasn’t doing it how we needed it to be done.

i have modified the code and created a diff patch, located here. i take no responsibility for you screwing something up by using this patch incorrectly. i tested it and it works… and it makes altermime do what we needed it to do for outlook compatible automatic disclaimer insertion.

to patch your source file simply change to the directory where qpe.c is located and issue the following command:

<code>

patch -p0 < patch.qpe.c

</code>

and then, assuming your install directory is configured correctly in the Makefile,

<code>

make clean; make; make install

</code>

also, below is the modified the disclaimer shell script that will:

  1. only include the disclaimer once in each email “thread”
  2. only append the disclaimer when parties whom have emails outside of your domain are part of the email

here is the code:

<code>

#!/bin/bash -u
# Localize these.
MYDOMAIN=r0b0tz.com 

# make sure that the text "$MYDOMAIN disclaimer" (ie: "r0b0tz.com disclaimer") is in
# all of your disclaimer text / html files, otherwise the single include only will not work.

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

# Exit codes from
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

nmecount=0
if [ ! `grep -m 1 '${MYDOMAIN} disclaimer' in.$$` ]; then
	for b in $( grep -m 1 “To:” in.$$ | grep -io ‘<[a-zA-Z0-9.-]*\@[a-zA-Z0-9.-]*\.[a-zA-Z]*>’ in.$$ )
	do
		i=`echo ${b} | cut -d “,” -f 1`
		if [[ "${i}" =~ '(.*)@(.*)\.(.*)' ]]; then
			logger -t DISCLAIMER outgoing email: ${i}
			if [[ ! "${i}" =~ '(.*)@${MYDOMAIN}' ]] && [[ ! "${i}" =~ '(.*)@mail\.${MYDOMAIN}' ]]; then
				nmecount=1
			fi
		fi
	done
fi

if [ "${nmecount}" == 1 ]; then
# Adding disclaimer
# MAKE SURE YOU MODIFY THE LOCATIONS OF YOUR DISCLAIMERS!
  /usr/bin/altermime –multipart-insert –input=in.$$ \
									 –disclaimer=/etc/postfix/disclaimer.txt \
									 –disclaimer-html=/etc/postfix/disclaimer.html \
									 –disclaimer-b64=/etc/postfix/disclaimer.b64 \
                   –xheader=”X-Copyrighted-Material: Please visit http://${MYDOMAIN}/” || \
                    { echo Message content rejected; exit $EX_UNAVAILABLE; }
fi

####### Changed From Original Script END #######

$SENDMAIL “$@”

</code>

… or click here to download.

Sunday, 10th August, 2008 ...under Uncategorized | feedback

It’s only for still pictures but come on, live caustics without electronics! What! That’s awesome!

By producing “6-D” images, an MIT professor and colleagues are creating unusually realistic pictures that not only have a full three-dimensional appearance, but also respond to their environment, producing natural shadows and highlights depending on the direction and intensity of the illumination around them. Read More